/*
 * Copyright (C) 2006-2008 Andre Noll <maan@systemlinux.org>
 *
 * Licensed under the GPL v2. For licencing details see COPYING.
 */

/** \file aac.h exported symbols from aac_common.c */

#include <neaacdec.h>

NeAACDecHandle aac_open(void);
int aac_find_esds(unsigned char *buf, size_t buflen, size_t *skip,
		unsigned long *decoder_length);
ssize_t aac_find_entry_point(unsigned char *buf, size_t buflen, size_t *skip);

static inline unsigned aac_read_int32(unsigned char *buf)
{
	uint8_t *d = (uint8_t*)buf;
	return (d[0] << 24) | (d[1] << 16) | (d[2] << 8) | d[3];
}
